Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
philong1985

giúp minh mơ khoá file này nhé mình cần gấp nắm

Các bài được khuyến nghị

thiep    263
Bạn chỉ cho mọi người biết cách phá khoá đi

command: (ACET-SS-VISIBLE (ssget "X") 0)

enter

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
linhlinh    3
command: (ACET-SS-VISIBLE (ssget "X") 0)

enter

Bạn có thể nói kỹ hơn được không.Sao mình đánh lệnh đúng như vậy mà vẫn chẳng thấy phá được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

http://www.cadviet.com/forum/index.php?showtopic=27828

 

Nguyên nhân là tất cả các đối tượng trong bản vẽ của bản vẽ đã bị đặt thôộc tính Visible=False

 

Biết đc nguyên nhân rồi thì chữa bệnh thì dễ rồi

 

Nếu làm bằng VBA, dùng 1 vòng lặp quét hết các đối tượng của bản vẽ (VD đang ở model)

 

For Each ent In Thisdrawing.modelspace

ent.Visible = True

Next

 

 

Nếu dùng bằng LISP thì thay đổi mã DXF 60 của đối tượng

Cái này đã có 1 bài viết rất đầy đủ rồi đó

http://www.cadviet.com/cadnews/content/view/93/1/

 

Đơn giản nhất bạn vào CAD gõ lệnh

 

vbastmt

 

Trong mục Expression: hiện ra bạn paste đoạn mã sau đây vào:

 

For Each ent In Thisdrawing.modelspace: ent.Visible = True: Next

 

Chờ tầm 2-3 giây, tất cả sẽ hiện ra cho bạn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
command: (ACET-SS-VISIBLE (ssget "X") 0)

enter

bạn có câu lệnh quá tuyệt?

cho mình hỏi tí: câu lệnh đó là lệnh trong cad hay bạn sáng tạo ra khi đã hiểu rõ vấn đề vậy... thanks bạn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamngoctukts    708
bạn có câu lệnh quá tuyệt?

cho mình hỏi tí: câu lệnh đó là lệnh trong cad hay bạn sáng tạo ra khi đã hiểu rõ vấn đề vậy... thanks bạn!

Đây là các hàm trong autolisp. Bạn nên tìm hiểu một chút sẽ biết ngay thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×